// This script is part of the PRODUCT PORTFOLIO MANAGEMENT app available in the App Store
// Last modification date: Feb 12, 2021

switch(customTransID) {
        
    case 'SET_COMPLETE':
        item.COMPLETION_DATE = new Date();
        item.COMPLETED_BY = getUserName();
        item.COMPLETION_COMMENTS = item.workflowActions[0].comments;
        updateParent();
        break;
        
}


// Get current user's name
function getUserName() {
    var usr = Security.loadUser(userID);
    return usr.lastName + ", " + usr.firstName;
}


// Transition related product
function updateParent() {
    
    if(item.PRODUCT === null) return;
    
    var step = item.PRODUCT.STEP + 1;
    
    item.PRODUCT.performWorkflowTransitionByCustomID('NEXT_MILESTONE_' + step, 'Checklist signed off');
    
}