// This script is part of the NEW PRODUCT INTRODUCTION app available in the App Store
// last modification date: Feb 5, 2021


updateProjectScheduleFromPhase();


function updateProjectScheduleFromPhase() {
    
    var indexPhase  = phases.indexOf(item.PHASE_NAME);
    var elemProject = item.PROJECT;
    var dateBase;
    
    if(indexPhase === 0) {
        dateBase = new Date(elemProject.START_DATE.getTime());
    } else if(elemProject["EXPECTED_COMPLETION_GATE_" + indexPhase] === null) {
        dateBase = getNextWorkingDay(elemProject["PLANNED_COMPLETION_GATE_" + indexPhase], 1);
    } else {
        dateBase = getNextWorkingDay(elemProject["EXPECTED_COMPLETION_GATE_" + indexPhase], 1);
    }
        
    for(var i = indexPhase  + 1; i <= phases.length; i++) {
        dateBase = updatePhaseTasks(elemProject, elemProject["PHASE_" + i], dateBase, i);
    }
    
}