// This script is part of the QUALITY MANAGEMENT app available in the App Store
// Last modification date: Mar 3, 2021


switch(customTransID) {
        
    case 'NEW':
        reset();
        break;
        
    case 'CLOSE':
        setResult();
        saveClosingInformation();
        break;

}
        

function reset() {
 
    item.SPAWN_NCR_ON_FAIL = null;
    item.SPAWNED_NON_CONFORMANCE = null;
    item.CLOSING_DATE = null;
    item.CLOSING_COMMENTS = null;
    item.RESULT = null;
    
    item.grid.clear();
    
}
    


function setResult() {

    for(var i = 0; i < item.grid.length; i++) {
        if(item.grid[i].RESULT === 'FAIL') {
            item.RESULT = 'FAIL';
            spawnNCR();
            return;
        }
    }
    
    item.RESULT = 'PASS';

}


function spawnNCR() {
    
    var newItem = createItem(wsNonConformances);
        newItem.INSPECTION_TYPE = item.INSPECTION_TYPE;
        newItem.ORIGINATED_BY = item.PERFORMED_BY;
        newItem.RELATED_SUPPLIER = item.RELATED_SUPPLIER;
        newItem.NONCONFORMING_ITEM = item.INSPECTED_ITEM;
        newItem.SPAWNED_BY = item;

    item.SPAWNED_NON_CONFORMANCE = newItem;
        
    
}

function saveClosingInformation() {

    item.CLOSING_DATE = new Date();
    item.CLOSING_COMMENTS = item.workflowActions[0].comments;
    
}