switch(customTransID) {
    
    case 'INITIATE':
        reset();
        break;

    case 'TRIAGE_SUBMIT':
    case 'TRIAGE_COMPLETE':
        item.QUALITY_TECHNICIAN_APPROVED_BY.add (getUserName());
        break;

    case 'FA_INSPECTION_SUBMIT':
        item.QUALITY_ENGINEER_APPROVED_BY.add (getUserName());
        item.FA_COMPLETED = true;
        break;

    case 'GENERATE_NEW_CAPA':  
        item.DESIGN_ENGINEER_APPROVED_BY.add (getUserName());
        createCAPA();
        break;
        
    case 'ENGINEERING_REVIEW_COMPLETE':
        item.DESIGN_ENGINEER_APPROVED_BY.add (getUserName());
        break;

}

function reset() {
    
    item.QUALITY_TECHNICIAN_APPROVED_BY = [];
    item.QUALITY_ENGINEER_APPROVED_BY = [];
    item.DESIGN_ENGINEER_APPROVED_BY = [];
    item.RELATED_CAPA = null;
    item.FA_COMPLETED = false;
    
}


function createCAPA() {
    
    if(item.RELATED_CAPA !== null) return;
    
    var newItem = createItem('WS_CORRECTIVE_PREVENTATIVE_ACTIONS');
        newItem.TITLE = item.TITLE;
        newItem.RELATED_RMA = item;
        
    item.RELATED_CAPA = newItem;
    
}