// This script is part of the CHANGE MANAGEMENT app available in the App Store
// last modification date: Jul 24, 2020

var msg = [];

switch(customTransID) {
    
    case 'SUBMIT_TO_CCB':
    case 'SUBMIT_TO_CCB_FAST_TRACK':
        msg = validateTasksPlanningEmpty();
        validateCCBApprovers();
        break;
    
    case 'INITIATE_TASKS':
    case 'INITIATE_ADDITIONAL_TASKS':
        msg = validateTasksPlanning();
        break;
    
}

returnValue(msg);


function validateCCBApprovers() {
    
    if(item.REQUIRED_APPROVERS.length === 0) {
        if(item.ADDITIONAL_APPROVERS.length === 0) {
            msg.push("CCB approvers must be defined before proceeding")
        }
    }
    
}