// This script is part of the IDEA MANAGEMENT app available in the App Store
// Last modification date: Mar 20, 2023

var msg = [];


switch(customTransID) {
    
    case 'SUBMIT_FOR_ANALYSIS':
    case 'END_VOTING':
        validateTeam();
        break;
        
    case 'INITIATE_VOTING':
        validateTeam();
        validateGroup();
        break;
    
}

returnValue(msg);


function validateTeam() {

    if(item.TEAM.length === 0) msg.push('Responsible team must be defined to process this idea');

}


function validateGroup() {

    var users = Security.listUsersInGroup(groupVoting);
		    
    if(users.length === 0) msg.push('No users assigned to group ' + groupVoting);

}