// This script is part of the PRODUCT PORTFOLIO MANAGEMENT app available in the App Store
// Last modification date: Mar 23, 2021

var msg = [];

switch(customTransID) {
        
    default:
        
        if(customTransID.indexOf("NEXT_MILESTONE_") === 0) {
            var index = Number(customTransID.replace(/NEXT_MILESTONE_/g, ""));
            if(index > 0) validateChecklist(index);
        }
        break;
        
}

returnValue(msg);

        
function validateChecklist(index) {
    
    var count = 0;
    var elemChecklist = item["CHECKLIST_" + index];
    
    if(elemChecklist === null) return;
    
    for(var i = 0; i < elemChecklist.grid.length; i++) {
        if(elemChecklist.grid[i].COMPLETED === false) count++;
    }
    
    var prefix = "The current checklist accessible within the Product tab contains ";
    
    if(count > 1) msg.push(prefix + count + " pending checks");
    else if(count > 0) msg.push(prefix + "1 pending check");
    
}