// This script is part of the NEW PRODUCT INTRODUCTION app available in the App Store
// last modification date: Jan 22, 2021

var msg      = [];
var counters = [];
var taskIDs  = [];

for(var i = 0; i < phases.length; i++) counters.push(0);
    
for(var j = 0; j < item.grid.length; j++) {
    var row = item.grid[j];
    taskIDs.push(row.ID);
    if(row.PHASE !== null) {
        counters[phases.indexOf(row.PHASE)]++;
    }
    if(row.ID === row.PREDECESSOR) {
        msg.push("Task with ID " + row.ID + " is also defined as its predecessor");
    }
}

for(var j = 0; j < item.grid.length; j++) {

    var row = item.grid[j];
    if(row.PREDECESSOR !== null) {
        if(taskIDs.indexOf(row.PREDECESSOR) === -1) msg.push("Predecessor of Task " + row.ID + " does not exist");
    }
    
}

for(k = 0; k < counters.length; k++) {
    if(counters[k] === 0) {
        msg.push("There are no tasks defined for phase " + phases[k]);
        break;
    }
}

returnValue(msg);