// This script is part of the REQUIREMENTS MANAGEMENT app available in the App Store
// Last modification date: Sep 24, 2021


var msg = [];

switch(customTransID) {

    case "ASSIGN":
        if(item.ASSIGNEE_1 === null) msg.push("No assignee is selected for workflow step preparation");
        else if(item.ASSIGNEE_1.length === 0) msg.push("No assignee is selected for workflow step preparation");
        break;

    case "FINISH_PREPARATION":
        if(item.ASSIGNEE_2 === null) msg.push("No assignee is selected for workflow step execution");
        else if(item.ASSIGNEE_2.length === 0) msg.push("No assignee is selected for workflow step execution");
        break;

    case "FINISH_EXECUTION":
        if(item.ASSIGNEE_3 === null) msg.push("No assignee is selected for workflow step reporting");
        else if(item.ASSIGNEE_3.length === 0) msg.push("No assignee is selected for workflow step reporting");
        validateTestResults();
        break;

    case "CLOSE_1":
    case "SUBMIT_FOR_ACKNOWLEDGEMENT":
        if(item.REPETITION_REQUIRED) msg.push("Please define if repitition of test is required in details page");
        break;
    
}

returnValue(msg);


function validateTestResults() {

    for(var i = 0; i < item.grid.length; i++) {

        if(item.grid[i].RESULT === null) {
            msg.push("Test result is not set for all steps");
            return;
        } else if(item.grid[i].RESULT === 'Pending') {
            msg.push("Test result is not set for all steps");
            return;
        }

    }

}