switch(customTransID){
    
    case 'NEW':
        if(item.AUDITOR === null) item.AUDITOR = getUserName();
        break;
     
    case 'START_AUDIT':
        item.START_DATE = new Date();
        break;
        
    case 'COMPLETE':
    case 'APPROVE':
        updateSupplier();
        updateAuditFindings();
        item.COMPLETION_DATE = new Date();
        break;
        
}

function updateAuditFindings() {
    
    for(var i = 0; i < item.grid.length; i++) {
        if(item.grid[i].CLOSED_DATE === null) item.grid[i].CLOSED_DATE = new Date();
    }
    
}

function updateSupplier() {
    
    var elemSupplier = item.SUPPLIER;
    
    if(elemSupplier === null) return;
    
    elemSupplier.LAST_AUDIT_COMPLETED = item;
    elemSupplier.AUDIT_IN_PROGRESS = null;
    
    if(elemSupplier.descriptor.workflowState === 'Audit in Progress') {
        elemSupplier.performWorkflowTransitionByCustomID('AUDIT_COMPLETE', 'Audit completed');
    }
    
}