setMilestone("Investigation", "EXIT", item.CLAIM_HANDLER_TARGET_DATE, 0, 70, true);
setMilestone("Clarification", "EXIT", item.CLAIM_CLARIFICATION_TARGET_DATE, 0, 20, true);
setMilestone("Cost Analysis", "EXIT", item.CLAIM_COSTING_TARGET_DATE, 0, 100, true);

function setMilestone(name, event, date, threshold, progress, deleteIfEmpty) {
    
    var milestoneIndex = -1;
    var targetDate     = new Date();
    
    if(         date !== null) targetDate    = date;
    if(        event === null) event         = "ENTER";
    if(    threshold === null) threshold     = 0;
    if(deleteIfEmpty === null) deleteIfEmpty = true;
    
    var day = targetDate.getDay();
    
         if(day === 0) targetDate.setDate(targetDate.getDate() + 1);
    else if(day === 6) targetDate.setDate(targetDate.getDate() + 2);

    for(var i = 0; i < item.milestones.length; i++) {
        if(item.milestones[i].workflowStateName == name) {
            if(item.milestones[i].milestoneType == event) {
                milestoneIndex = i;
                break;
            }
        }
    }
    
    if(deleteIfEmpty) {
        if (date === null) {
            if(milestoneIndex > -1) {
                item.milestones.splice(milestoneIndex, 1);
            }
            return;
        }
    }

    if(milestoneIndex == -1) {
        
		var milestone = item.addMilestone();
		    milestone.setWorkflowState(name);
		    milestone.milestoneType = event;
		    milestone.milestoneDate = targetDate;
		    milestone.warnThreshold = 0;
            milestone.progress = progress;
        
    } else {
        
        item.milestones[milestoneIndex].milestoneDate = targetDate;
        item.milestones[milestoneIndex].progress = progress;
        
    }
    
}