switch(customTransID) {
    
    case 'NEW':
        reset();
        break;
    
    case 'CANCEL_1':
    case 'CANCEL_2':
        item.workflowItems.clear();
        item.deleteItem();
        break;
        
    case 'SUBMIT_FOR_REVIEW':
    case 'REJECT_SINGLE_TRACK':
        clearApprovers();
        break;
    
    case 'APPROVE':
        var userName = getUserName();
        item.APPROVED_BY.add(userName);
        item.REMAINING_APPROVERS.remove(userName);
        
        if (item.REMAINING_APPROVERS.length === 1) {
            item.performWorkflowTransitionByCustomID("UPON_FINAL_APPROVAL", "Final Approval");
        }
        break;

}


function reset() {

    item.REMAINING_APPROVERS = [];
    item.APPROVED_BY = [];
    
}


function approversRemaining(passedPickList) {
    return(passedPickList.length);
}


function clearApprovers() {
    
    item.REMAINING_APPROVERS.clear();
    
    for(var i = 0; i < item.REQUIRED_APPROVERS.length;   i++) { item.REMAINING_APPROVERS.add( item.REQUIRED_APPROVERS[i]);  }
    for(    i = 0; i < item.ADDITIONAL_APPROVERS.length; i++) { item.REMAINING_APPROVERS.add( item.ADDITIONAL_APPROVERS[i]);}
    
    
}


function getUserName() {
    var usr = Security.loadUser(userID);
    return usr.lastName + ", " + usr.firstName;
}