setNumber();
storeClassificationValues();


function setNumber() {

    var seq     = Sequencer.get('Documents');
    var next    = seq.nextValue();
    var number  = 'DOC-' + ('000000' + next).slice(-6); 
    
    item.NUMBER = number;

}


function storeClassificationValues() {
    
    var classValues  = "";
    
    if(item.classification !== null) {
        
        for (var property in item.classification) {
            if (item.classification.hasOwnProperty(property)) {
                if (typeof item.classification[property] === 'object'){
                    classValues += property + ':' + item.classification[property].displayValue + ', ';
                } else {
                    classValues += property + ':' + item.classification[property] + ', ';
                }
            }
        }
    }
    
    if(item.CLASSIFICATION_VALUES !== classValues) item.CLASSIFICATION_VALUES = classValues;
    
}