// This script is part of the QUALITY MANAGEMENT app available in the App Store
// Last modification date: Feb 18, 2021


var msg = [];

switch(customTransID) {
    
    case 'SUBMIT':
    	if (item.TEAM.length === 0) msg.push('Team members must be specified');
        break;
	
	case 'PROCEED_TO_MEASUREMENT':
	    if (item.PROBLEM_STATEMENT === null) msg.push('Problem Statement must be specified');
		if (item.OBJECTIVE === null) msg.push('Objective must be specified');
		if (item.SCOPE === null) msg.push('Scope must be specified');
	    break;
	    
    case 'PROCEED_TO_ANALYSIS':
    	if (item.POSSIBLE_CAUSES === null) msg.push('Possible causes must be specified');
        break;
        
    case 'PROCEED_TO_IMPROVEMENT':
        if (item.ROOT_CAUSE === null) msg.push('Root Cause must be specified');
		break;    
		
	case 'PROCEED_TO_CONTROL':
        if (item.ACTION_TAKEN === null) msg.push('Action Taken must be specified');
        if (item.CREATE_CHANGE_REQUEST === null) msg.push('Option for Change Request creation has to be set');
		break;
		
	case 'CLOSE':
    	if (item.CONTROL_SUMMARY === null) msg.push('Control Summary must be specified');
    	if (item.CREATE_CHANGE_REQUEST === null) msg.push('Option for Change Request creation has to be set');
		break;
	
}

returnValue (msg);