// This script is part of the CHANGE MANAGEMENT app available in the App Store
// last modification date: Mar 2nd, 2020

var msg = [];

switch(customTransID) {

    case 'SUBMIT_TO_TECHNICIAN':
        if(item.TECHNICIAN === null) msg.push("A technician has to be selected in Details before proceeding");
        validatePendingChangeTasks();
        break;
        
    case 'COMPLETE_1':
    case 'RETURN':
    case 'CLOSE_2':
        validatePendingChangeTasks();
        break;
    
}

returnValue(msg);


function validatePendingChangeTasks () {
    
    var tasks = item.project.children;
    
    for(var i = 0; i < tasks.length; i++) {
        
        if(tasks[i].progress !== 100) {
            msg.push("All related Change Tasks have to be completed before proceeding");
            return;
        }
        
    }
    
}